Subject: Re: bug#1451: Acknowledgement (23.0.60; *shell* swallows meaningful command output lines)

From: Tassilo Horn <[email-masked]>
Date: Mon, 01 Dec 2008 09:00:14 +0100

Hi Chong,

I cannot reproduce this with emacs -Q, too.  But with my "normal" emacs
I now get an even worse behavior.

--8<---------------cut here---------------start------------->8---
horn@thinkpad:~/repos/org> git status
<the output hangs and after RET I get>
[1] horn@thinkpad:~/repos/org>
--8<---------------cut here---------------end--------------->8---

And in *Messages* I get:

--8<---------------cut here---------------start------------->8---
error in process filter: dirtrack: Directory 
#   (use "git add <file/ does not exist
--8<---------------cut here---------------end--------------->8---

My shell customizations are:

--8<---------------cut here---------------start------------->8---
(setq shell-file-name "/bin/zsh"
      comint-input-ignoredups t
      comint-prompt-read-only t)

;; Requires ZSH prompt "walters"
(setq-default dirtrack-list '("^[^:]+:\\([^>]+\\)>" 1))

(global-set-key (kbd "C-c s") 'shell)

(defun th-shell-mode-init ()
  (shell-dirtrack-mode -1)
  (dirtrack-mode 1)
  (ansi-color-for-comint-mode-on))

(add-hook 'shell-mode-hook 'th-shell-mode-init)
--8<---------------cut here---------------end--------------->8---

It seems dirtrack-mode has some problems with the output.

Bye,
Tassilo